Package org.apache.solr.client.solrj.request.beans

# Class PluginMeta

java.lang.Object
org.apache.solr.client.solrj.request.beans.PluginMeta

All Implemented Interfaces:
  `MapSerializable`, `MapWriter`, `NavigableObject`, `ReflectMapWriter`, `org.noggit.JSONWriter.Writable`

public class PluginMeta extends Object implements ReflectMapWriter
POJO for a plugin metadata used in container plugins

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

## Field Summary

Fields
Modifier and Type
Field
Description
`MapWriter`
`config`
Plugin configuration object, optional.
`String`
`klass`
Plugin implementation class, required.
`String`
`name`
Unique plugin name, required.
`String`
`pathPrefix`
Plugin API path prefix, optional.
`String`
`version`
Plugin version.

### Fields inherited from interface org.apache.solr.common.MapWriter

`EMPTY`

## Constructor Summary

Constructors
Constructor
Description
`PluginMeta()`

## Method Summary

Modifier and Type
Method
Description
`PluginMeta`
`copy()`
`boolean`
`equals(Object obj)`
`int`
`hashCode()`
`String`
`toString()`
`void`
`writeMap(MapWriter.EntryWriter ew)`
Writes this object's entries out to `ew`.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap, write`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr, _size`

## Field Details

### name

public String name
Unique plugin name, required.

### klass

public String klass
Plugin implementation class, required.

### version

public String version
Plugin version.

### pathPrefix

public String pathPrefix
Plugin API path prefix, optional.

### config

public MapWriter config
Plugin configuration object, optional.

## Constructor Details

### PluginMeta

public PluginMeta()

## Method Details

### copy

public PluginMeta copy()

### writeMap

public void writeMap(MapWriter.EntryWriter ew) throws IOException
Description copied from interface: `MapWriter`
Writes this object's entries out to `ew`.

Specified by:
  `writeMap` in interface `MapWriter`
Specified by:
  `writeMap` in interface `ReflectMapWriter`
Throws:
  `IOException`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`